XPI-UNPACK(1)

NAME
xpi-unpack - unpack a XPI file to a directory

SYNOPSIS
xpi-unpack <input_XPI_file> <output_directory>

DESCRIPTION
xpi-pack unpacks a XPI file to the specified output directory. It takes in consideration JAR files, which are usually shipped inside XPI files, and unpacks them, in order to be able to distribute them through the repositories. The unpacked JAR files are packed during build process on call of xpi-pack script.

It is distributed as a part of mozilla-devscripts package. It should be called by developer, when the XPI file needs to be unpacked during packaging.

OPTIONS

None.

ENVIRONMENT VARIABLES

None.

EXAMPLE

xpi-unpack ubufox.xpi ubufox
    Unpacks the contents of ubufox.xpi to directory ubufox.

SEE ALSO
xpi-pack

AUTHOR
xpi-unpack was written by Alexander Sack <asac@ubuntu.com> and Sasa Bodiroza <jazzva@gmail.com>, and this manual page by Sasa Bodiroza <jazzva@gmail.com>. Both are released under the GNU General Public License, version 2 or later.